org.apache.poi.hdgf.chunks

## Class ChunkHeaderV4V5

- java.lang.Object
- - org.apache.poi.hdgf.chunks.ChunkHeader
  - - org.apache.poi.hdgf.chunks.ChunkHeaderV4V5

-     public final class ChunkHeaderV4V5
      extends ChunkHeader

  A chunk header from v4 or v5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkHeaderV4V5()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.charset.Charset` | `getChunkCharset()`
    `protected static int` | `getHeaderSize()`
    `int` | `getSizeInBytes()`
    `short` | `getUnknown2()`
    `short` | `getUnknown3()`
    `boolean` | `hasSeparator()` Does the chunk have a separator?
    `boolean` | `hasTrailer()` Does the chunk have a trailer?

    - ### Methods inherited from class org.apache.poi.hdgf.chunks.ChunkHeader

      `createChunkHeader, getHeaderSize, getId, getLength, getType, getUnknown1`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkHeaderV4V5

          public ChunkHeaderV4V5()

  - ### Method Detail

    - #### getUnknown2

          public short getUnknown2()

    - #### getUnknown3

          public short getUnknown3()

    - #### getHeaderSize

          protected static int getHeaderSize()

    - #### getSizeInBytes

          public int getSizeInBytes()

      Specified by:
        `getSizeInBytes` in class `ChunkHeader`

    - #### hasTrailer

          public boolean hasTrailer()

      Does the chunk have a trailer?
      Specified by:
        `hasTrailer` in class `ChunkHeader`

    - #### hasSeparator

          public boolean hasSeparator()

      Does the chunk have a separator?
      Specified by:
        `hasSeparator` in class `ChunkHeader`

    - #### getChunkCharset

          public java.nio.charset.Charset getChunkCharset()

      Specified by:
        `getChunkCharset` in class `ChunkHeader`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.